import * as types from "../actionTypes/actionTypes";

const initialState = {
    user: {},
    message: ''
}

export default (state = initialState, action) => {
    switch (action.type) {
        case types.POST_REQUEST_LOGIN: {
            return state;
        }

        case types.POST_REQUEST_SUCCESS_LOGIN: {   
            console.log('action.payload.user',action.payload.message);
            return {
                ...state,
                user: action.payload.user,
                message: action.payload.message
            };
        }

        case types.POST_REQUEST_ERROR_LOGIN: {
            console.log('error', action.payload.message);
            return state;
        }

        default:
            return state;
    }
}